Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"94c7d5b1-a11c-4a54-a55a-0480b285970a","url":null,"userId":"fcf96109-781a-451c-a722-9e003d94e505","userUrl":null,"parentCommentId":"a9760b84-7a1c-4234-ba26-212b4898b607","parentCommentUrl":null,"creationDateTime":"2026-05-15T20:50:40.9187773+00:00","lastModifiedDateTime":null,"medias":[{"id":"9b739323-68b3-4c2b-a815-9f9bcf0da55a","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"2b8b5715-b347-42b2-95d2-511ffd7832d9","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string